
Ruby - Bug #162

The thwait standard library fails to comp;ile under 1.9

06/16/2008 11:58 AM - pragdave (Dave Thomas)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport:  

Description

=begin

dave[RUBY3/Book 21:56:55*] ruby -v -r 'thwait' -e 1

ruby 1.9.0 (2008-06-16 revision 15427) [i686-darwin9.3.0]

/usr/local/rubybook/lib/ruby/1.9.0/thwait.rb:56:in <class:ThreadsWait>': undefined method extend_to' for

Exception2MessageMapper:Module (NoMethodError)

from /usr/local/rubybook/lib/ruby/1.9.0/thwait.rb:53:in <top (required)>' from :0:in require'

=end

History

#1 - 06/16/2008 06:57 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r17363.

=end
